All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
pruio.bas File Reference

The main source code of the library. More...

`#include "pruio.bi"`
`#include "pruio_pins.bi"`
`#include "pruio_adc.bas"`
`#include "pruio_gpio.bas"`
`#include "pruio_pwmss.bas"`
`#include "pasm_init.bi"`
`#include "pasm_run.bi"`
`#include "dir.bi"`
Include dependency graph for pruio.bas:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | __PRUIO_COMPILING__
| Tell the header pruio.bi that we won't include libpruio.so.
#define | PMUX_NAME /* "pruio-" */
| The start of the pinmux-helper folder names in /sys/devices/ocp.*/.

## Functions

FUNCTION_CDECL_ALIAS_AS_ANY_PTR | memcpy (BYVAL_AS_ANY_PTR, BYVAL_AS_ANY_PTR, BYVAL_AS_size_t)
| Declaration for C runtime function memcpy().

## Detailed Description

The main source code of the library.

This is the main source code of the library. You may compile it by `fbc -dylib pruio.bas` to get a small library file (small, because the C wrapper functions are not included as in the original version).

Definition in file pruio.bas.